function [bin]=binary(cst)
%
% Funcio que troba la matriu de relacions binries d'una estructura
%
% Autor: Josep Maria Mirats i Tur
% Data: 8-II-1999, Barcelona
%
% Parmetres:
%
%       Entrada: cst, composite structure
%
%       Sortida: bin, matriu de relacions binries
%
% Us de la funci:
%
%               [bin]=binary(cst)
%
b = size(cst,2);
index = [0 find(cst==0) b+1];
bin = [];
for i=1:size(index,2)-1,
 aux = cst(index(i)+1:index(i+1)-1);
 if ( size(aux,2) > 1 )
  col = size(aux,2);
  binaux = [];
  for j = 1:col,
   for k = j+1:col,
    binaux = [binaux; aux(j) aux(k)];
   end
  end
  bin = [bin;binaux];
 else
  bin = [bin; aux 0];
 end
end
bin = sortrows(bin);
bin = elim_repet(bin);
%
