function [mout] = conf(matr)
%
% Elimina les files repetides d'una matriu ordenada
%
% Autor: Josep Maria Mirats Tur
% Data: 2-II-99, Barcelona
%
% Codi per Matlab 5.2
%
% Parmetres:
%
%	Entrada: matr, matriu ordenada amb possibles files repetides
%
%	Sortida: mout, matriu ordenada sense repeticio de files
%
%
% Us de la funci:
%
% 		[mout] = conf(matr)
%
%
[n,k] = size(matr);
%
mout = [];
mout(1,:) = matr(1,1:k);
for i = 2:n,
 if ( matr(i,1:k) == matr(i-1,1:k) )
 else
  mout = [mout; matr(i,1:k)];
 end
end
%
